<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 10/10/2008 *
 * ================                             Last change: 10/10/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-gollox.php                                  *
 * -------------------------------------------------------------------- *
 * Short description : Setup default statistics mode                    *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Standart Modus der Statistiken einstellen        *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!IS_ADMIN())) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
} elseif (!EXT_IS_ACTIVE("gollox"))
	ADD_FATAL(EXTENSION_PROBLEM_EXT_INACTIVE, "gollox");
	return;
}

// Add description as navigation point
ADD_DESCR("admin", __FILE__);

// Was the form submitted?
if (isset($_POST['ok'])) {
	// Test GolloX config
	if (GOLLOX_TEST_CONFIG($_POST)) {
		// Save settings
		ADMIN_SAVE_SETTINGS($_POST);
	} else {
		// Config not saved
		LOAD_TEMPLATE("admin_settings_saved", false, ADMIN_CONFIG_GOLLOX_TEST_FAILED);
	}
} else {
	// Prepare content
	$content = array(
		'gollox_id'               => bigintval($_CONFIG['gollox_id']),
		'gollox_sid'              => bigintval($_CONFIG['gollox_sid']),
		'gollox_passwd'           => $_CONFIG['gollox_passwd'],
		'gollox_tm_max_reload'    => bigintval($_CONFIG['gollox_tm_max_reload']),
		'gollox_tm_min_wait'      => bigintval($_CONFIG['gollox_tm_min_wait']),
		'gollox_tm_clicks_remain' => bigintval($_CONFIG['gollox_tm_clicks_remain']),
		'gollox_tm_min_pay'       => bigintval($_CONFIG['gollox_tm_min_pay'])
	);

	// Erotic?
	switch ($_CONFIG['gollox_erotic_allowed']) {
		case 0: // No erotic at all
			define('__CFG_GOLLOX_EROTIC_NONE'   , " selected=\"selected\"");
			define('__CFG_GOLLOX_EROTIC_INCLUDE', "");
			define('__CFG_GOLLOX_EROTIC_ONLY'   , "");
			break;

		case 1: // Include erotic
			define('__CFG_GOLLOX_EROTIC_NONE'   , "");
			define('__CFG_GOLLOX_EROTIC_INCLUDE', " selected=\"selected\"");
			define('__CFG_GOLLOX_EROTIC_ONLY'   , "");
			break;

		case 2: // Erotic only
			define('__CFG_GOLLOX_EROTIC_NONE'   , "");
			define('__CFG_GOLLOX_EROTIC_INCLUDE', "");
			define('__CFG_GOLLOX_EROTIC_ONLY'   , " selected=\"selected\"");
			break;
	}

	// Load template
	LOAD_TEMPLATE("admin_config_gollox", false, $content);
}

//
?>
